wxWidgets: wxDCClipper Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxDCClipper Class Reference
Graphics Device Interface (GDI)

`#include <wx/dc.h>`

## Detailed Description

wxDCClipper is a helper class for setting a clipping region on a wxDC during its lifetime.

An object of wxDCClipper class is typically created on the stack so that it is automatically destroyed when the object goes out of scope. A typical usage example:

void MyFunction(wxDC& dc)
{
wxDCClipper clip(dc, rect);
// ... drawing functions here are affected by clipping rect ...
}
void OtherFunction()
{
wxDC dc;
MyFunction(dc);
// ... drawing functions here are not affected by clipping rect ...
}

Note
  Unlike other similar classes such as wxDCFontChanger, wxDCClipper currently doesn't restore the previously active clipping region when it is destroyed but simply resets clipping on the associated wxDC. This may be changed in the future wxWidgets versions but has to be taken into account explicitly in the current one.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See Also
  wxDC::SetClippingRegion(), wxDCFontChanger, wxDCTextColourChanger, wxDCPenChanger, wxDCBrushChanger

## Public Member Functions
| ~wxDCClipper ()
| Destroys the clipping region associated with the DC passed to the ctor.
| wxDCClipper (wxDC &dc, const wxRegion &region)
| Sets the clipping region to the specified region/coordinates.
| wxDCClipper (wxDC &dc, const wxRect &rect)
| Sets the clipping region to the specified region/coordinates.
| wxDCClipper (wxDC &dc, wxCoord x, wxCoord y, wxCoord w, wxCoord h)
| Sets the clipping region to the specified region/coordinates.

## Constructor & Destructor Documentation

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | const wxRegion & | region
| ) |  |

Sets the clipping region to the specified region/coordinates.

The clipping region is automatically unset when this object is destroyed.

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | const wxRect & | rect
| ) |  |

Sets the clipping region to the specified region/coordinates.

The clipping region is automatically unset when this object is destroyed.

wxDCClipper::wxDCClipper | ( | wxDC & | dc,
|  | wxCoord | x,
|  | wxCoord | y,
|  | wxCoord | w,
|  | wxCoord | h
| ) |  |

Sets the clipping region to the specified region/coordinates.

The clipping region is automatically unset when this object is destroyed.

wxDCClipper::~wxDCClipper | ( |  | ) |

Destroys the clipping region associated with the DC passed to the ctor.